FreeMat

- Main Page
- Related Pages

vtkStructuredPointsSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredPointsSource is an abstract class whose subclasses generate structured Points data.

To create an instance of class vtkStructuredPointsSource, simply invoke its constructor as follows

      obj = vtkStructuredPointsSource

# Methods

The class vtkStructuredPointsSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredPointsSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredPointsSource = obj.NewInstance ()`
- `vtkStructuredPointsSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutput (vtkStructuredPoints output)` - Set/Get the output of this source.
- `vtkStructuredPoints = obj.GetOutput ()` - Set/Get the output of this source.
- `vtkStructuredPoints = obj.GetOutput (int idx)` - Set/Get the output of this source.